be.fgov.ehealth.samcivics.schemas.v2

## Class GetAddedDocumentsRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.samcivics.schemas.v2.GetAddedDocumentsRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:59:05+02:00",
                 comments="JAXB RI v2.3.7")
      public class GetAddedDocumentsRequest
      extends RequestType
      implements Serializable

  Java class for GetAddedDocumentsRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetAddedDocumentsRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="ChapterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ParagraphName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <choice minOccurs="0">
                 <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                 <element name="Version" type="{http://www.w3.org/2001/XMLSchema}integer"/>
               </choice>
               <element name="VerseNum" type="{http://www.w3.org/2001/XMLSchema}integer" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAddedDocumentsRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChapterName()` Gets the value of the chapterName property.
    `String` | `getLang()` Gets the value of the lang property.
    `String` | `getParagraphName()` Gets the value of the paragraphName property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `List<BigInteger>` | `getVerseNa()` Gets the value of the verseNa property.
    `BigInteger` | `getVersion()` Gets the value of the version property.
    `void` | `setChapterName(String value)` Sets the value of the chapterName property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setParagraphName(String value)` Sets the value of the paragraphName property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setVersion(BigInteger value)` Sets the value of the version property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAddedDocumentsRequest

          public GetAddedDocumentsRequest()

  - ### Method Detail

    - #### getChapterName

          public String getChapterName()

      Gets the value of the chapterName property.
      Returns:
        possible object is `String`

    - #### setChapterName

          public void setChapterName(String value)

      Sets the value of the chapterName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getParagraphName

          public String getParagraphName()

      Gets the value of the paragraphName property.
      Returns:
        possible object is `String`

    - #### setParagraphName

          public void setParagraphName(String value)

      Sets the value of the paragraphName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVersion

          public BigInteger getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `BigInteger`

    - #### setVersion

          public void setVersion(BigInteger value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVerseNa

          public List<BigInteger> getVerseNa()

      Gets the value of the verseNa property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the verseNa property.

      For example, to add a new item, do as follows:

              getVerseNa().add(newItem);

      Objects of the following type(s) are allowed in the list `BigInteger`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.